package ru.micord.ervu.security.esia.model;

/**
 * @author Eduard Tihomirov
 */
public class ExpiringState {
  private String state;
  private long expiryTime;

  public ExpiringState(String state, long expiryTime) {
    this.state = state;
    this.expiryTime = expiryTime;
  }

  public String getState() {
    return state;
  }

  public void setState(String state) {
    this.state = state;
  }

  public long getExpiryTime() {
    return expiryTime;
  }

  public void setExpiryTime(long expiryTime) {
    this.expiryTime = expiryTime;
  }

  public boolean isExpired() {
    return System.currentTimeMillis() > expiryTime;
  }
}
